[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.CompressedJSON

Compress JSON - skip whitespace

## Declaration

Source position: fpjson.pp line 150

`public property TJSONData.CompressedJSON : Boolean read GetCompressedJSON write SetCompressedJSON;`

## Description

CompressedJSON can be used to let TJSONData.AsJSON return JSON which does not contain any whitespace. By default it is False and whitespace is inserted. If set to True, output will contain no whitespace.

## See also

TJSONData.FormatJSON |  | Return a formatted JSON representation of the data.
TJSONData.AsJSON |  | Return a JSON representation of the value
TJSONData.UnquotedMemberNames
TJSONData.AsCompressedJSON
TJSONObject.UnquotedMemberNames |  | Should member names be written unquoted or quoted in JSON